/**
  @file npr/source/main.cpp
  @author Morgan McGuire, morgan@cs.williams.edu
 */

#include <G3D/G3DAll.h>
#include <GLG3D/GLG3D.h>
#include "App.h"

#if defined(G3D_VER) && (G3D_VER < 70000)
    #error Requires G3D 7.00
#endif

G3D_START_AT_MAIN();


int main(int argc, char** argv) {
    if (argc < 2) {
        printf("Requires config filename.\n");
        return -1;
    }

    GApp::Settings settings;
    settings.useNetwork = false;
    settings.window.framed = true;
    settings.window.fullScreen = false;
    settings.window.width = 640;
    settings.window.height = 480;
    settings.window.visible = false;

    return App(settings, argv[1]).run();
}
